<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bonus-Setup</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="../../../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />

    <style>
        .formulaImage img {
            float: right;
            margin-top: -27px;
            width: 22px;
            margin-right: 8px;
        }
    </style>
</head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Bonus Setup</h2>
            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabContent withoutTabing">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">

                                        <h3>Setup Bonus calculation</h3>
                                    </div>
                                </div>
                                <div class="content mb-4" id="bonusForm">

                                    <div class="row no-padding">
                                        <div class="fields mr-4 mb-4">
                                            <label for="fiscalYear" class="labelGroup">Fiscal Year <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="fiscalYear" name="fiscalYear">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Fiscal Year </option>
                                                <option value="2018-2019">2018-2019</option>
                                                <option value="2017-2018">2017-2018</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="minimumDays" class="labelGroup">Minimum Days <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="minimumDays" name="minimumDays"
                                                placeholder="Enter the no. of days">
                                        </div>

                                    </div>
                                    <h5 class="formHeading">Statutory Bonus</h5>
                                    <div class="row no-padding">

                                        <div class="fields mr-4 mb-4 inpuBoxIcon">
                                            <label for="formula" class="labelGroup">Base Formula <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="formula" name="formula"
                                                placeholder="Create the formula">
                                            <a href="#formulaPopup" rel="modal:open"> <span class="formulaImage"><img
                                                        src="../../../dist/images/formula.png"></span></a>
                                        </div>

                                        <div class="fields mr-4 mb-4">
                                            <label for="rounding" class="labelGroup">Rounding <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="rounding1" name="rounding1">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Raunding</option>
                                                <option value="normal">Normal</option>
                                                <option value="upper">Upper</option>
                                                <option value="lower">Lower</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4 mt-4 pt-1">
                                            <select class="mandatory" id="rounding2" name="rounding2">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    No.</option>
                                                <option value="0.01">0.01</option>
                                                <option value="0.02">0.02</option>
                                                <option value="0.03">0.03</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="bonusRate" class="labelGroup">Bonus Rate(%) <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="bonusRate" name="Bonus Rate"
                                                placeholder="Enter the bonus rate in %">
                                        </div>
                                    </div>
                                    <div class="row no-padding">

                                        <div class="fields mr-4 mb-4">
                                            <label for="bonusRaterounding" class="labelGroup">Rounding <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="bonusRaterounding" name="bonusRaterounding">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Raunding</option>
                                                <option value="normal">Normal</option>
                                                <option value="upper">Upper</option>
                                                <option value="lower">Lower</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4 mt-4 pt-1">
                                            <select class="mandatory" id="bonusRaterounding2" name="bonusRaterounding2">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    No.</option>
                                                <option value="0.01">0.01</option>
                                                <option value="0.02">0.02</option>
                                                <option value="0.03">0.03</option>
                                            </select>
                                        </div>
                                        <div style="display: inline-block;" class="fields checkBox mt-4 pt-2 mr-4">
                                            <input type="checkbox" id="proportionEmploymentMonths"
                                                name="proportionEmploymentMonths">
                                            <label for="proportionEmploymentMonths">Proportion by Employment
                                                Months</label>
                                        </div>

                                    </div>
                                    <div class="row no-padding">
                                        <div class="fields mr-4 mb-4">
                                            <label for="lowerLimit" class="labelGroup">Lower Limit <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="lowerLimit" name="lowerLimit"
                                                placeholder="Enter the Lower Limit">
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="upperLimit" class="labelGroup">Upper Limit <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="upperLimit" name="upperLimit"
                                                placeholder="Enter the Upper Limit">
                                        </div>
                                        <div style="display: inline-block;" class="fields checkBox mt-4 pt-2 mr-4">
                                            <input type="checkbox" id="proportionEmploymentMonths1"
                                                name="proportionEmploymentMonths1">
                                            <label for="proportionEmploymentMonths1">Proportion by Employment
                                                Months</label>
                                        </div>

                                    </div>
                                    <h5 class="formHeading">Total Bonus</h5>
                                    <div class="row no-padding">

                                        <div class="fields mr-4 mb-4">
                                            <label for="formula" class="labelGroup">Base Formula <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="baseformula" name="baseformula"
                                                placeholder="Create the formula">
                                        </div>

                                        <div class="fields mr-4 mb-4">
                                            <label for="rounding" class="labelGroup">Rounding <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="rounding3" name="rounding3">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Raunding</option>
                                                <option value="normal">Normal</option>
                                                <option value="upper">Upper</option>
                                                <option value="lower">Lower</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4 mt-4 pt-1">
                                            <select class="mandatory" id="rounding4" name="rounding4">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    No.</option>
                                                <option value="0.01">0.01</option>
                                                <option value="0.02">0.02</option>
                                                <option value="0.03">0.03</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="bonusRate" class="labelGroup">Bonus Rate(%) <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="bonusRate2" name="Bonus Rate2"
                                                placeholder="Enter the bonus rate in %">
                                        </div>
                                    </div>
                                    <div class="row no-padding">

                                        <div class="fields mr-4 mb-4">
                                            <label for="rounding" class="labelGroup">Rounding <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="rounding5" name="rounding5">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Raunding</option>
                                                <option value="normal">Normal</option>
                                                <option value="upper">Upper</option>
                                                <option value="lower">Lower</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4 mt-4 pt-1">
                                            <select class="mandatory" id="rounding6" name="rounding6">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    No.</option>
                                                <option value="0.01">0.01</option>
                                                <option value="0.02">0.02</option>
                                                <option value="0.03">0.03</option>
                                            </select>
                                        </div>
                                        <div style="display: inline-block;" class="fields checkBox mt-4 pt-2 mr-4">
                                            <input type="checkbox" id="proportionEmploymentMonths2"
                                                name="proportionEmploymentMonths2">
                                            <label for="proportionEmploymentMonths2">Proportion by Employment
                                                Months</label>
                                        </div>

                                    </div>
                                    <div class="row no-padding">
                                        <div class="fields mr-4 mb-4">
                                            <label for="lowerLimit" class="labelGroup">Lower Limit <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="lowerLimit2" name="lowerLimit2"
                                                placeholder="Enter the Lower Limit">
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="upperLimit" class="labelGroup">Upper Limit <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="upperLimit2" name="upperLimit2"
                                                placeholder="Enter the Upper Limit">
                                        </div>

                                        <div style="display: inline-block;" class="fields checkBox mt-4 pt-2 mr-4">
                                            <input type="checkbox" id="proportionEmploymentMonths3"
                                                name="proportionEmploymentMonths3">
                                            <label for="proportionEmploymentMonths3">Proportion by Employment
                                                Months</label>
                                        </div>

                                    </div>
                                    <div>
                                        <button class="oct-btn oct-btn-primary"
                                            onclick="formValidations('bonusForm');">Save</button>


                                    </div>




                                </div>




                            </div>



                        </div>

                    </div>

                </div>
                <!-- / tabs_item -->


                <!-- / tab_content -->
            </div>
            <!-- / tab -->
        </div>
    </div>
    <div id="formulaPopup" class="modal addFilterTablePopup" style="max-width: 558px !important;">
        <h4>Formula Editer</h4>
        <form name="filterFrm1" id="filterFrm1">
            <!-- filter popup model content-->
          <div class="row no-padding">
            <div class="fields mr-2 mb-4">
                <label for="earningHeads" class="labelGroup">Earning Heads <span class="mandatorySign">*</span></label>
                <select class="mandatory" id="earningHeads" name="earningHeads">
                    <option value="" selected="selected" hidden="hidden">Select</option>
                    <option value="normal">Basic</option>
                    <option value="upper">HRA</option>
                    <option value="lower">CCA</option>
                </select>
            </div>
            <button class="oct-btn btn-default mt-4 mr-3">Add</button> 
            <div class="fields mr-2 mb-4 ml-4">
                <label for="deductionHeads" class="labelGroup">Deduction Heads <span class="mandatorySign">*</span></label>
                <select class="mandatory" id="deductionHeads" name="deductionHeads">
                    <option value="" selected="selected" hidden="hidden">Select 
                    </option>
                    <option value="normal">NPS</option>
                    <option value="upper">BPF</option>
                    <option value="lower">NPF</option>
                </select>
            </div>
           <button class="oct-btn btn-default mt-4">Add</button> 
        </div>
          <div class="row no-padding">
            <div class="fields mr-2 mb-4">
                <label for="value" class="labelGroup">Value <span class="mandatorySign">*</span></label>
               <input type="text" id="value" name="value">
            </div>
            <button class="oct-btn btn-default mt-4 mr-3">Add</button> 
            <div class="fields mr-2 mb-4 ml-4">
                <label for="attendanceHeads" class="labelGroup">Attendance Heads <span class="mandatorySign">*</span></label>
                <select class="mandatory" id="attendanceHeads" name="attendanceHeads">
                    <option value="" selected="selected" hidden="hidden">Select 
                    </option>
                    <option value="normal">Total Days</option>
                    <option value="upper">Weekly days</option>
                    <option value="lower">Present</option>
                </select>
            </div>
            <button class="oct-btn btn-default mt-4">Add</button> 
        </div>

        <div class="row no-padding">
            <button class="oct-btn btn-default mt-4 mr-3">(</button> 
            <button class="oct-btn btn-default mt-4 mr-3">)</button> 
            <button class="oct-btn btn-default mt-4 mr-3">+</button> 
            <button class="oct-btn btn-default mt-4 mr-3">-</button> 
            <button class="oct-btn btn-default mt-4 mr-3">*</button> 
            <button class="oct-btn btn-default mt-4 mr-3">/</button> 
            <button class="oct-btn btn-default mt-4 mr-3">%</button> 
            <button class="oct-btn btn-default mt-4 mr-3">,</button> 
            <button class="oct-btn btn-default mt-4 mr-3">=</button> 
            <button class="oct-btn btn-default mt-4 mr-3">></button> 
            <button class="oct-btn btn-default mt-4 mr-3">< </button> 
            <button class="oct-btn btn-default mt-4 mr-3">MAX</button> 
            <button class="oct-btn btn-default mt-4 mr-3">MIN</button> 
            <button class="oct-btn btn-default mt-4 mr-3">AVG</button> 
            <button class="oct-btn btn-default mt-4 mr-3">IF</button> 
            <button class="oct-btn btn-default mt-4 mr-3">RAUND</button> 
            <button class="oct-btn btn-default mt-4 mr-3">CEILING</button> 
            <button class="oct-btn btn-default mt-4 mr-3">FLOOR</button> 
            <button style="float: right;" class="oct-btn btn-default mt-4 mr-3">Clear</button> 

        </div>
        <div class="row no-padding">
        <div class="fields mt-4" style="width:100%">
            <label class="labelGroup" for="reasonRemark">Reason <span class="mandatorySign">*</span></label>
            <textarea disabled style="width: 515px;" class="mandatory" name="reasonRemark" cols="30" rows="10" placeholder="State the reason for requesting new asset" id="reasonRemark"></textarea>
        </div>
        <button class="oct-btn oct-btn-primary mt-4 mr-3">OK</button> 
        <button class="oct-btn btn-default mt-4 mr-3">Cancel</button> 
        <button class="oct-btn btn-default mt-4 mr-3">Validate</button> 
    </div>
        </form>
    </div>
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
    <script src="../../../dist/js/sidebar-admin.js"></script>
    <script src="../../../dist/js/topbar.js"></script>
    <script src="../../../dist/js/octane.js"></script>


</body>

</html>